## net.sf.saxon.trans
Class XPathException.Circularity

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.transform.TransformerException
                  net.sf.saxon.trans.XPathException
                      net.sf.saxon.trans.XPathException.Circularity

All Implemented Interfaces:
  Serializable

Enclosing class:
  XPathException

    public static class XPathException.Circularity

extends XPathException

Subclass of XPathException used to report circularities

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException
`XPathException.Circularity`

Constructor Summary
`XPathException.Circularity(String message)` Create an exception indicating that a circularity was detected

Method Summary

Methods inherited from class net.sf.saxon.trans.XPathException

`getAdditionalLocationText, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetLocation, setAdditionalLocationText, setErrorCode, setErrorCodeQName, setErrorObject, setHasBeenReported, setIsGlobalError, setIsStaticError, setIsTypeError, setXPathContext`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException.Circularity

    public XPathException.Circularity(String message)

  Create an exception indicating that a circularity was detected

  Parameters:
    `message` - the error message

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.